CREATE TABLE cmp_pay_rates_b (
    PAY_RATE_ID                  NUMBER(18, 0),
    BUSINESS_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0)    NOT NULL,
    AVAILABLE_FROM_DATE          DATE         ,
    RATE_STATUS                  VARCHAR2(120),
    PAY_RATE_CODE                VARCHAR2(320)    NOT NULL,
    RATE_GROUP_CODE              VARCHAR2(320),
    REPRESENTS_BASE              VARCHAR2(4)  ,
    ADDS_TO_OVERALL_PAY          VARCHAR2(4)  ,
    RATE_TYPE                    VARCHAR2(120),
    AMOUNT_ROUNDING_CODE         VARCHAR2(120),
    AMOUNT_SCALE                 NUMBER(3, 0) ,
    PERCENT_SCALE                NUMBER(3, 0) ,
    POINT_SCALE                  NUMBER(3, 0) ,
    DEFAULT_TYPE                 VARCHAR2(120),
    DEFAULT_SOURCE               VARCHAR2(120),
    DEFAULT_FORMULA_ID           NUMBER(18, 0),
    DEFAULT_GRADE_RATE_ID        NUMBER(18, 0),
    DEFAULT_AMOUNT               NUMBER       ,
    DEFAULT_PERCENT              NUMBER       ,
    DEFAULT_POINTS               NUMBER       ,
    CURRENCY_SOURCE_CODE         VARCHAR2(120),
    CURRENCY_CODE                VARCHAR2(120),
    FREQUENCY_SOURCE             VARCHAR2(120),
    FREQUENCY_CODE               VARCHAR2(120),
    ANNUALIZATION_FACTOR         NUMBER       ,
    CHANGE_DEFAULT_AMOUNT        VARCHAR2(4)  ,
    CHANGE_DEFAULT_PERCENT       VARCHAR2(4)  ,
    CHANGE_DEFAULT_POINTS        VARCHAR2(4)  ,
    VALUE_REQUIRED               VARCHAR2(4)  ,
    ZERO_IF_VALUE_BLANK          VARCHAR2(4)  ,
    LOWER_LIMIT                  NUMBER       ,
    UPPER_LIMIT                  NUMBER       ,
    VALIDATION_FORMULA_ID        NUMBER(18, 0),
    IGNORE_LIMITS_CHECK          VARCHAR2(4)  ,
    LIMIT_VIOLATION_BEHAVIOR     VARCHAR2(120),
    ELEMENT_TYPE_ID              NUMBER(18, 0),
    INPUT_VALUE_ID               NUMBER(18, 0),
    ENTRY_CREATION               VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    PAY_RATE_ID                  NUMBER(18, 0),
    BUSINESS_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0)    NOT NULL,
    AVAILABLE_FROM_DATE          DATE         ,
    RATE_STATUS                  VARCHAR2(120),
    PAY_RATE_CODE                VARCHAR2(320)    NOT NULL,
    RATE_GROUP_CODE              VARCHAR2(320),
    REPRESENTS_BASE              VARCHAR2(4)  ,
    ADDS_TO_OVERALL_PAY          VARCHAR2(4)  ,
    RATE_TYPE                    VARCHAR2(120),
    AMOUNT_ROUNDING_CODE         VARCHAR2(120),
    AMOUNT_SCALE                 NUMBER(3, 0) ,
    PERCENT_SCALE                NUMBER(3, 0) ,
    POINT_SCALE                  NUMBER(3, 0) ,
    DEFAULT_TYPE                 VARCHAR2(120),
    DEFAULT_SOURCE               VARCHAR2(120),
    DEFAULT_FORMULA_ID           NUMBER(18, 0),
    DEFAULT_GRADE_RATE_ID        NUMBER(18, 0),
    DEFAULT_AMOUNT               NUMBER       ,
    DEFAULT_PERCENT              NUMBER       ,
    DEFAULT_POINTS               NUMBER       ,
    CURRENCY_SOURCE_CODE         VARCHAR2(120),
    CURRENCY_CODE                VARCHAR2(120),
    FREQUENCY_SOURCE             VARCHAR2(120),
    FREQUENCY_CODE               VARCHAR2(120),
    ANNUALIZATION_FACTOR         NUMBER       ,
    CHANGE_DEFAULT_AMOUNT        VARCHAR2(4)  ,
    CHANGE_DEFAULT_PERCENT       VARCHAR2(4)  ,
    CHANGE_DEFAULT_POINTS        VARCHAR2(4)  ,
    VALUE_REQUIRED               VARCHAR2(4)  ,
    ZERO_IF_VALUE_BLANK          VARCHAR2(4)  ,
    LOWER_LIMIT                  NUMBER       ,
    UPPER_LIMIT                  NUMBER       ,
    VALIDATION_FORMULA_ID        NUMBER(18, 0),
    IGNORE_LIMITS_CHECK          VARCHAR2(4)  ,
    LIMIT_VIOLATION_BEHAVIOR     VARCHAR2(120),
    ELEMENT_TYPE_ID              NUMBER(18, 0),
    INPUT_VALUE_ID               NUMBER(18, 0),
    ENTRY_CREATION               VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CONSTRAINT pk_cmp_pay_rates_b PRIMARY KEY (PAY_RATE_ID, PAY_RATE_ID)
);
